straightvisions

Known issues with third party extension

Recommended Posts

In most cases, IPBWI for WordPress v4 works without any issues. Some third party extensions are known to generate issues in connection with IPBWI for WordPress v4.

Coming Soon Page & Maintenance Mode by SeedProd
This plugin deactivates the WordPress' REST API, so you'll receive the following error code during login/logout:

{"code":"rest_cannot_access","message":"Only authenticated users can access the REST API.","data":{"status":401}}

You may deactivate this plugin and try another one or edit file /wp-content/plugins/coming-soon/inc/class-seed-csp4.php and remove or outcomment the following line:

return new WP_Error( 'rest_cannot_access', __( 'Only authenticated users can access the REST API.', 'coming-soon' ), array( 'status' => rest_authorization_required_code() ) );

 

Share this post


Link to post
Share on other sites